import numpy as np
import scipy.integrate

def fun1(x):
    return np.exp(-x)
#    return 1/x**2

def fun2(the):
    x=np.tan(the)
    J=1/np.cos(the)**2
    return np.exp(-x)*J 
#    return 1/x**2*J

A=10

I1,err1,info1=scipy.integrate.quad(fun1, 0.0, A, full_output=1)

I2,err2,info2=scipy.integrate.quad(fun2, 0.0, np.pi/2, full_output=1)

I=1

print( "%s%20.15f,%12.2e,%12.2e,%8d" % ("large A    :",I1,err1,np.abs(I1-I),info1['neval'] ))
print( "%s%20.15f,%12.2e,%12.2e,%8d" % ("x=tan(the) :",I2,err2,np.abs(I2-I),info2['neval'] ))
print( "%s%20.15f"                   % ("exact      :",I                                   ))